
Core - Task # 47740

Status: Resolved Priority: Should have
Author: Andreas Becker (Andi) Category: Install Tool
Created: 2013-04-30 Assigned To:
Updated: 2013-09-12 Due date:
TYPO3 Version: 6.1
PHP Version: 5.4
Complexity: easy
Sprint Focus:
Subject: Move $TYPO3_CONF_VARS['DB'] to the TOP of All Configuration
Description

The database can now be changed also in All Configuration - scroll down complete to the bottom - This point should be the first point
and not the last as without DB Typo3 won't work - so it is the most important part!

To have it at the bottom is very unlogical!

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
related to Core - Bug # 47746: Converting 4.7 sites to 6.1 sites much to comp... Closed 2013-04-30

Associated revisions
Revision 74713b93 - 2013-09-12 17:23 - Christian Kuhn

[TASK] Install tool: Sort "All configuration" sections

Order the sections in all configuration alphabetically.

Change-Id: I2096d2b0d8892e93a5740d0ad2b7dee1ddceb93e
Resolves: #47740
Releases: 6.2
Reviewed-on: https://review.typo3.org/23791
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2013-07-29 23:37 - Wouter Wolters
- Status changed from New to Needs Feedback

For 6.2 this has been improved. If the databse connection fails and you enter the Install Tool it will automatically show the database settings to get the
database connection fixed. IMO this is what you wanted to achieve with this ticket, right?

#2 - 2013-09-12 17:13 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23791

#3 - 2013-09-12 17:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23791

#4 - 2013-09-12 17:17 - Christian Kuhn
- Target version changed from 6.1.1 to 6.2.0
- PHP Version set to 5.4
- Complexity set to easy

With 6.2 the sections are collapsed, no endless scrolling anymore.

Pushed patch additionally orders the sections alphabetically (like in LocalConfiguration.php).

#5 - 2013-09-12 17:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23791

#6 - 2013-09-12 17:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:74713b930c2352f37a87a9957f706b75ade3fef0.
